package domain


type AlibabaWdkOldposOrderCreatePosSubOrderDo struct {
    /*
        库存单位，必填     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        库存单位购买数量，必填     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        sku编码，必填     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        外部子订单号，全局唯一，子单和主单不能重复，可以包含字母     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        子单实付金额，单位分     */
    PayFee  *int64 `json:"pay_fee,omitempty" `

    /*
        销售单位购买数量。对于标品，和库存单位库存单位购买数量一样     */
    BuyAmountSale  *int64 `json:"buy_amount_sale,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        子单原价金额，单位分     */
    OriginFee  *int64 `json:"origin_fee,omitempty" `

    /*
        子单优惠金额，单位分     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        商品单价，单位分     */
    SkuPrice  *int64 `json:"sku_price,omitempty" `

    /*
        商品名称     */
    SkuName  *string `json:"sku_name,omitempty" `

}

func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetStockUnit(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetBuyAmountStock(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetSkuCode(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetOutOrderId(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetPayFee(v int64) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.PayFee = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetBuyAmountSale(v int64) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.BuyAmountSale = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetSaleUnit(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetOriginFee(v int64) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.OriginFee = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetDiscountFee(v int64) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetSkuPrice(v int64) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.SkuPrice = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosSubOrderDo) SetSkuName(v string) *AlibabaWdkOldposOrderCreatePosSubOrderDo {
    s.SkuName = &v
    return s
}
